@charset "UTF-8";

/* KV */
.section-kv {
  height: calc(100vw * 540 / 390);
  background: var(--bg_cream);
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: relative;
  padding-bottom: 8%;
}
.section-kv__inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 2;
}
.kv__circle {
  display: inline-block;
  width: calc(100vw * 768 / 390);
  height: calc(100vw * 384 / 390);
  border-radius: 50% / 100% 100% 0 0;
  background: #fff;
  position: absolute;
  bottom: calc(-100vw * 328 / 390);
  z-index: 1;
}
.kv__logo {
  width: calc(100vw * 313 / 390);
  height: auto;
}
.kv__copy {
  width: calc(100vw * 250 / 390);
  height: auto;
  margin-bottom: 20px;
}
.kv__decoration {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 0;
}
.kv__decoration::before {
  content: '';
  display: block;
  width: calc(100vw * 384 / 390);
  height: calc(100vw * 148 / 390);
  background: url('/kodomobacs/_images/top/sp_bg_top-kv-top.png');
  position: absolute;
  top: 0;
  left: 0;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.kv__decoration::after {
  content: '';
  display: block;
  width: calc(100vw * 364 / 390);
  height: calc(100vw * 142 / 390);
  background: url('/kodomobacs/_images/top/sp_bg_top-kv-bottom.png');
  position: absolute;
  bottom: 8vw;
  right: 0;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

@media only screen and (min-width: 769px) {
  .section-kv {
    min-width: 1100px;
    height: max(calc(100vw * 737 / 1440), 570px);
    padding-bottom: 12%;
  }
  .kv__logo {
    width: max(calc(100vw * 650 / 1440), 497px);
  }
  .kv__copy {
    width: calc(100vw * 490 / 1440);
    margin-bottom: 30px;
  }
  .kv__circle {
    width: max(calc(100vw * 2722 / 1440), 2079px);
    height: max(calc(100vw * 1360 / 1440), 1039px);
    bottom: min(calc(-100vw * 1150 / 1440), -878px);
  }

  .kv__decoration::before {
    content: '';
    width: max(calc(100vw * 328 / 1440), 251px);
    height: max(calc(100vw * 641 / 1440), 490px);
    background: url('/kodomobacs/_images/top/pc_bg_top-kv-left.png');
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
  }
  .kv__decoration::after {
    content: '';
    width: max(calc(100vw * 352 / 1440), 269px);
    height: max(calc(100vw * 606 / 1440), 463px);
    background: url('/kodomobacs/_images/top/pc_bg_top-kv-right.png');
    position: absolute;
    top: calc(100vw * 38 / 1440);
    right: 0;
    left: auto;
    transform: inherit;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
  }
}

/* アクティビティ */
.section-activity {
  padding-top: 30px;
}
.section-activity__inner {
  padding: 0 calc(100% * 16 / 390);
}
.section-activity .headingLv2 img {
  position: relative;
  z-index: 1;
  width: 187px;
  height: auto;
}
.activity-heading__sub {
  margin-top: 12px;
  text-align: center;
  font-size: 18px;
  font-weight: bold;
}
@media only screen and (min-width: 769px) {
  .section-activity {
    margin-top: -92px;
    padding-top: 0;
  }
  .activity-heading__sub {
    margin-top: 30px;
    font-size: 20px;
  }
}

.activity__box {
  width: 100%;
  margin-top: 96px;
  padding: 17px 0 48px;
  border-radius: 16px;

  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}
.activity__box.--racer {
  background: var(--bg_racer);
  padding-top: calc(100vw * 278 / 390);
}
.activity__box.--mechanic {
  background: var(--bg_mechanic);
  padding-top: calc(100vw * 343 / 390);
}
.activity__box__image {
  position: absolute;
  height: auto;
}
.activity__box__image.--racer {
  width: 83.08vw;
  top: calc(-100vw * 50 / 390);
}
.activity__box__image.--mechanic {
  width: 71.28vw;
  top: calc(-100vw * 18 / 390);
}
.activity__box__right {
  padding: 0 24px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.activity__box__logo {
  height: 56px;
  height: calc(100vw * 56 / 390);
  max-height: 80px;
  width: auto;
  margin-bottom: 32px;
}

.activity__box__right .button-more {
  margin-top: 24px;
}

@media only screen and (min-width: 769px) {
  .section-activity__inner {
    max-width: 1148px;
    padding: 0 24px;
    margin: 0 auto;
  }
  .activity__box.--racer {
    width: 85%;
    padding: 92px min(20%, 176px);
    align-items: flex-start;
  }
  .activity__box.--mechanic {
    width: 73%;
    padding: 92px min(20%, 176px);
    align-items: flex-end;
    margin-left: auto;
  }
  .activity__box__image.--racer {
    width: 550px;
    right: -15%;
    top: 50%;
    transform: translateY(-50%);
  }
  .activity__box__image.--mechanic {
    width: 430px;
    left: -37%;
    top: 50%;
    transform: translateY(-50%);
  }
  .activity__box__right {
    margin-top: 0;
    padding: 0;
    flex-direction: column;
    align-items: flex-start;
  }
  .activity__box__right.--mechanic {
    /* align-items: flex-end; */
  }
}

/* about */
.section-about__bgWrapper {
  background: var(--bg_cream);
}
.section-about__inner {
  padding: 60px 0 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

/* 見出しの装飾 */
.section-about__inner::before {
  content: '';
  /* width: min(29vw,113px);
	height: min(calc(29vw * 1.23), 139px); */
  width: 145px;
  height: 62px;
  background: url('/kodomobacs/_images/top/top-about-bgL.svg');
  position: absolute;
  /* top: max(-14vw, -54.6px); */
  top: -8px;
  left: 0;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.section-about__inner::after {
  content: '';
  /* width: min(29vw,113px);
	height: min(calc(29vw * 1.23), 139px); */
  width: 116px;
  height: 56px;
  background: url('/kodomobacs/_images/top/top-about-bgR.svg');
  position: absolute;
  /* top: max(-14vw, -54.6px); */
  top: 246px;
  right: 0;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.section-about__textImage {
  width: calc(100% * 318 / 390);
  max-width: 374px;
  margin-bottom: 72px;
}
.section-about .button-more {
  margin-top: 44px;
}

@media only screen and (min-width: 769px) {
  .section-about__inner {
    margin-top: 64px;
    padding: 120px 0 50px;
  }
  .section-about__textImage {
    order: 0;
    margin-bottom: 60px;
  }
  .section-about .button-more {
    order: 1;
    margin-top: 0;
    margin-bottom: 40px;
  }
  .scroll-container {
    order: 2;
  }
  .section-about__inner::before {
    width: calc(100vw * 367 / 1440);
    height: calc(100vw * 190 / 1440);
    background: url('/kodomobacs/_images/top/top-about-bgL_pc.svg');
    top: 134px;
    left: 0;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
  }
  .section-about__inner::after {
    width: calc(100vw * 371 / 1440);
    height: calc(100vw * 189 / 1440);
    background: url('/kodomobacs/_images/top/top-about-bgR_pc.svg');
    top: 140px;
    right: 0;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
  }
}

/* コンテナ：スクロール領域 */
.scroll-container {
  width: 100%;
  overflow: hidden;
  position: relative;
  z-index: 1;
}

/* コンテンツ全体を横並びで流す */
.scroll-content {
  display: flex;
  align-items: center;
  height: 110px;
  animation: scroll 25s linear infinite;
  width: fit-content;
}

.scroll-content img {
  height: 100%;
  width: auto;
  margin-right: 24px;
}
.scroll-content img.scroll-content__img3 {
  width: 145px;
  height: auto;
}

/* 無限スクロールアニメーション */
@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-33.33%);
  }
}

@media (min-width: 769px) {
  .scroll-content {
    height: 290px;
    animation: scroll 40s linear infinite;
  }
  .scroll-content img {
    margin-right: 56px;
  }
  .scroll-content img.scroll-content__img2 {
    width: 254px;
    height: auto;
  }
  .scroll-content img.scroll-content__img3 {
    width: auto;
    height: 200px;
  }
  .scroll-content img.scroll-content__img5 {
    width: 230px;
    height: 230px;
  }

  .scroll-content {
    animation-duration: 30s;
  }
}

/* --- アフターレポート --- */
.afterRepo_inner {
  margin: 21vw auto;
  width: 100%;
}
.afterRepo .headingLv2 {
  width: 59vw;
  height: auto;
  margin: 0 auto 9.6vw;
}
.afterRepo .headingLv2 img {
  width: 100%;
}
.afterRepo .repoList .listBox {
  width: 82vw;
  margin: 0 auto;
}
.repoInner {
  width: 100%;
}
.repoInner img {
  width: 100%;
  height: auto;
  border-radius: 16px;
  margin-bottom: 5vw;
}
.repoInner .ttl01 {
  font-size: 4.8vw;
  font-weight: 600;
  margin-bottom: 0.7em;
}
.repoInner .datePlace {
  font-size: 3.73vw;
  font-weight: 500;
  margin-bottom: 0.7em;
}
.repoInner .datePlace a {
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-color: #aaa;
}
.repoInner .datePlace .maru {
  font-size: 3.2vw;
  font-weight: 600;
  color: #ff6e00;
  display: inline-block;
  margin: 0 0.1em 0 0.5em;
}
.repoInner .badge {
  text-align: left;
  font-size: 3.73vw;
  margin-bottom: 0.7em;
  padding: 0;
}
.repoInner .badge img {
  width: 35vw;
  height: auto;
  margin: 0;
}
.repoInner .msg {
  font-size: 3.73vw;
  font-weight: 500;
  margin-bottom: 1em;
}

@media only screen and (min-width: 769px) {
  .afterRepo_inner {
    margin: 96px auto;
    width: 100%;
  }
  .afterRepo .headingLv2 {
    width: 290px;
    height: auto;
    margin: 0 auto 60px;
  }
  .afterRepo .repoList {
    /*         display:flex;
        justify-content: center; 
        gap: 40px 40px; */
  }
  .afterRepo .repoList .listBox {
    width: 440px;
    margin: 0 auto;
  }
  .repoInner {
    width: 100%;
  }
  .repoInner img {
    width: 100%;
    border-radius: 16px;
    margin-bottom: 20px;
  }
  .repoInner .ttl01 {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 0.7em;
  }
  .repoInner .datePlace {
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 0.7em;
  }
  .repoInner .datePlace a {
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-color: #aaa;
  }
  .repoInner .datePlace .maru {
    font-size: 12px;
    font-weight: 600;
    color: #ff6e00;
    display: inline-block;
    margin: 0 0.1em 0 0.5em;
  }
  .repoInner .badge {
    text-align: left;
    font-size: 14px;
    margin-bottom: 0.7em;
    padding: 0;
  }
  .repoInner .badge img {
    width: 130px;
    height: auto;
    margin: 0;
  }
  .repoInner .msg {
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 1em;
  }
}

/* よくある質問 */
.toggle-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s;
}
.section-faq .headingLv2 img {
  width: 168px;
  height: auto;
}

.section-faq {
  padding-top: 80px;
}
.section-faq__inner {
  padding: 0 calc(100% * 16 / 390);
}
.faqList__wrapper {
  margin-top: 40px;
}

.faqList .faqList-item:not(:first-child) {
  margin-top: 8px;
}

.faqList-item {
  border: 1px solid var(--c_gray);
  border-radius: 8px;
  overflow: hidden;
}

.faqList-q {
  margin: 0 16px;
  padding: 24px 0;
  cursor: pointer;
  transition: opacity 0.3s;
}
.faqList-q .toggle-button {
  padding: 0 40px 0 24px;
  color: var(--main_brown);
  font-weight: bold;
  position: relative;
}
.faqList-q .toggle-button::before {
  position: absolute;
  content: 'Q.';
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  margin-right: 12px;
}
.faqList-q .toggle-button::after {
  content: '';
  width: 30px;
  height: 30px;
  background: url('/kodomobacs/_images/icon/icon-plus_pc.svg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  display: block;
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
}
.faqList-q .toggle-button.open::after {
  background: url('/kodomobacs/_images/icon/icon-minus_pc.svg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.faqList-q:hover {
  opacity: 0.7;
}

.faqList-a {
  margin: 0 16px;
  padding: 32px 0 32px 24px;
  position: relative;
  line-height: 1.6;
  border-top: 1px solid #fff;
  transition: border-top 0.3s;
}
.faqList-a::before {
  position: absolute;
  content: 'A.';
  left: 0;
  margin-right: 12px;
  color: var(--c_orange);
  font-weight: bold;
}
.toggle-content.open .faqList-a {
  border-top: 1px solid var(--c_gray);
}

@media only screen and (min-width: 769px) {
  .section-faq .headingLv2 img {
    width: 216px;
  }
  .faqList .faqList-item {
    padding: 0 16px;
  }
  .faqList .faqList-item:not(:first-child) {
    margin-top: 32px;
  }
  .section-faq__inner {
    padding: 0 24px;
    max-width: 1148px;
    margin: auto;
  }
  .faqList-item {
    border-radius: 16px;
  }
  .faqList-q .toggle-button {
    font-size: 20px;
    padding-left: 40px;
  }
  .faqList-a {
    /* font-size: 20px; */
    padding-left: 40px;
  }
  .faqList-q .toggle-button::before {
    font-size: 25px;
  }
  .faqList-a::before {
    font-size: 25px;
    top: calc(32px + 16px * 1.6 / 2);
    transform: translateY(-50%);
  }
}

.section-linkBanner {
  margin-top: 80px;
  margin-bottom: 120px;
}
.section-linkBanner__inner {
  padding: 0 calc(100% * 16 / 390);
}
.section-linkBanner .linkBanner {
  display: block;
  width: 100%;
  background: #e4f0fc;
  border-radius: 16px;

  padding: 24px 16px 40px;
}
.linkBanner__right {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
}
.linkBanner__illust {
  width: 100%;
  height: auto;
  margin-bottom: 32px;
}
.linkBanner__title {
  display: block;
  width: auto;
  height: 46px;
}

@media only screen and (min-width: 769px) {
  .section-linkBanner .linkBanner {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 48px 16px;
  }
  .section-linkBanner__inner {
    padding: 0 24px;
    max-width: 1148px;
    margin: auto;
  }
  .linkBanner__illust {
    width: 500px;
    margin-bottom: 0;
    margin-right: 70px;
  }
  .linkBanner__title {
    height: 70px;
  }
  .linkBanner__text {
    font-size: 20px;
  }
}
